Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/Reference.cs
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/Reference.cs	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/Reference.cs	(revision 4107)
@@ -1250,82 +17,102 @@
         
         [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IClientCommunicator/Login", ReplyAction="http://tempuri.org/IClientCommunicator/LoginResponse")]
-        HeuristicLab.Hive.Client.Communication.ServerService.Response Login(HeuristicLab.Hive.Client.Communication.ServerService.ClientDto clientInfo);
+        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseHB))]
+        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseJob))]
+        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseResultReceived))]
+        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponsePlugin))]
+        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseCalendar))]
+        HeuristicLab.Hive.Contracts.Response Login(HeuristicLab.Hive.Contracts.BusinessObjects.ClientDto clientInfo);
         
         [System.ServiceModel.OperationContractAttribute(AsyncPattern=true, Action="http://tempuri.org/IClientCommunicator/Login", ReplyAction="http://tempuri.org/IClientCommunicator/LoginResponse")]
-        System.IAsyncResult BeginLogin(HeuristicLab.Hive.Client.Communication.ServerService.ClientDto clientInfo, System.AsyncCallback callback, object asyncState);
-        
-        HeuristicLab.Hive.Client.Communication.ServerService.Response EndLogin(System.IAsyncResult result);
+        System.IAsyncResult BeginLogin(HeuristicLab.Hive.Contracts.BusinessObjects.ClientDto clientInfo, System.AsyncCallback callback, object asyncState);
+        
+        HeuristicLab.Hive.Contracts.Response EndLogin(System.IAsyncResult result);
         
         [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IClientCommunicator/ProcessHeartBeat", ReplyAction="http://tempuri.org/IClientCommunicator/ProcessHeartBeatResponse")]
-        HeuristicLab.Hive.Client.Communication.ServerService.ResponseHB ProcessHeartBeat(HeuristicLab.Hive.Client.Communication.ServerService.HeartBeatData hbData);
+        HeuristicLab.Hive.Contracts.ResponseHB ProcessHeartBeat(HeuristicLab.Hive.Contracts.BusinessObjects.HeartBeatData hbData);
         
         [System.ServiceModel.OperationContractAttribute(AsyncPattern=true, Action="http://tempuri.org/IClientCommunicator/ProcessHeartBeat", ReplyAction="http://tempuri.org/IClientCommunicator/ProcessHeartBeatResponse")]
-        System.IAsyncResult BeginProcessHeartBeat(HeuristicLab.Hive.Client.Communication.ServerService.HeartBeatData hbData, System.AsyncCallback callback, object asyncState);
-        
-        HeuristicLab.Hive.Client.Communication.ServerService.ResponseHB EndProcessHeartBeat(System.IAsyncResult result);
+        System.IAsyncResult BeginProcessHeartBeat(HeuristicLab.Hive.Contracts.BusinessObjects.HeartBeatData hbData, System.AsyncCallback callback, object asyncState);
+        
+        HeuristicLab.Hive.Contracts.ResponseHB EndProcessHeartBeat(System.IAsyncResult result);
         
         [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IClientCommunicator/SendJob", ReplyAction="http://tempuri.org/IClientCommunicator/SendJobResponse")]
-        HeuristicLab.Hive.Client.Communication.ServerService.ResponseJob SendJob(System.Guid clientId);
+        HeuristicLab.Hive.Contracts.ResponseJob SendJob(System.Guid clientId);
         
         [System.ServiceModel.OperationContractAttribute(AsyncPattern=true, Action="http://tempuri.org/IClientCommunicator/SendJob", ReplyAction="http://tempuri.org/IClientCommunicator/SendJobResponse")]
         System.IAsyncResult BeginSendJob(System.Guid clientId, System.AsyncCallback callback, object asyncState);
         
-        HeuristicLab.Hive.Client.Communication.ServerService.ResponseJob EndSendJob(System.IAsyncResult result);
+        HeuristicLab.Hive.Contracts.ResponseJob EndSendJob(System.IAsyncResult result);
         
         [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IClientCommunicator/StoreFinishedJobResult", ReplyAction="http://tempuri.org/IClientCommunicator/StoreFinishedJobResultResponse")]
-        HeuristicLab.Hive.Client.Communication.ServerService.ResponseResultReceived StoreFinishedJobResult(System.Guid clientId, System.Guid jobId, byte[] result, double percentage, System.Exception exception);
+        HeuristicLab.Hive.Contracts.ResponseResultReceived StoreFinishedJobResult(System.Guid clientId, System.Guid jobId, byte[] result, double percentage, System.Exception exception);
         
         [System.ServiceModel.OperationContractAttribute(AsyncPattern=true, Action="http://tempuri.org/IClientCommunicator/StoreFinishedJobResult", ReplyAction="http://tempuri.org/IClientCommunicator/StoreFinishedJobResultResponse")]
         System.IAsyncResult BeginStoreFinishedJobResult(System.Guid clientId, System.Guid jobId, byte[] result, double percentage, System.Exception exception, System.AsyncCallback callback, object asyncState);
         
-        HeuristicLab.Hive.Client.Communication.ServerService.ResponseResultReceived EndStoreFinishedJobResult(System.IAsyncResult result);
+        HeuristicLab.Hive.Contracts.ResponseResultReceived EndStoreFinishedJobResult(System.IAsyncResult result);
         
         [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IClientCommunicator/ProcessSnapshot", ReplyAction="http://tempuri.org/IClientCommunicator/ProcessSnapshotResponse")]
-        HeuristicLab.Hive.Client.Communication.ServerService.ResponseResultReceived ProcessSnapshot(System.Guid clientId, System.Guid jobId, byte[] result, double percentage, System.Exception exception);
+        HeuristicLab.Hive.Contracts.ResponseResultReceived ProcessSnapshot(System.Guid clientId, System.Guid jobId, byte[] result, double percentage, System.Exception exception);
         
         [System.ServiceModel.OperationContractAttribute(AsyncPattern=true, Action="http://tempuri.org/IClientCommunicator/ProcessSnapshot", ReplyAction="http://tempuri.org/IClientCommunicator/ProcessSnapshotResponse")]
         System.IAsyncResult BeginProcessSnapshot(System.Guid clientId, System.Guid jobId, byte[] result, double percentage, System.Exception exception, System.AsyncCallback callback, object asyncState);
         
-        HeuristicLab.Hive.Client.Communication.ServerService.ResponseResultReceived EndProcessSnapshot(System.IAsyncResult result);
+        HeuristicLab.Hive.Contracts.ResponseResultReceived EndProcessSnapshot(System.IAsyncResult result);
         
         [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IClientCommunicator/Logout", ReplyAction="http://tempuri.org/IClientCommunicator/LogoutResponse")]
-        HeuristicLab.Hive.Client.Communication.ServerService.Response Logout(System.Guid clientId);
+        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseHB))]
+        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseJob))]
+        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseResultReceived))]
+        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponsePlugin))]
+        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseCalendar))]
+        HeuristicLab.Hive.Contracts.Response Logout(System.Guid clientId);
         
         [System.ServiceModel.OperationContractAttribute(AsyncPattern=true, Action="http://tempuri.org/IClientCommunicator/Logout", ReplyAction="http://tempuri.org/IClientCommunicator/LogoutResponse")]
         System.IAsyncResult BeginLogout(System.Guid clientId, System.AsyncCallback callback, object asyncState);
         
-        HeuristicLab.Hive.Client.Communication.ServerService.Response EndLogout(System.IAsyncResult result);
+        HeuristicLab.Hive.Contracts.Response EndLogout(System.IAsyncResult result);
         
         [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IClientCommunicator/IsJobStillNeeded", ReplyAction="http://tempuri.org/IClientCommunicator/IsJobStillNeededResponse")]
-        HeuristicLab.Hive.Client.Communication.ServerService.Response IsJobStillNeeded(System.Guid jobId);
+        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseHB))]
+        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseJob))]
+        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseResultReceived))]
+        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponsePlugin))]
+        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseCalendar))]
+        HeuristicLab.Hive.Contracts.Response IsJobStillNeeded(System.Guid jobId);
         
         [System.ServiceModel.OperationContractAttribute(AsyncPattern=true, Action="http://tempuri.org/IClientCommunicator/IsJobStillNeeded", ReplyAction="http://tempuri.org/IClientCommunicator/IsJobStillNeededResponse")]
         System.IAsyncResult BeginIsJobStillNeeded(System.Guid jobId, System.AsyncCallback callback, object asyncState);
         
-        HeuristicLab.Hive.Client.Communication.ServerService.Response EndIsJobStillNeeded(System.IAsyncResult result);
+        HeuristicLab.Hive.Contracts.Response EndIsJobStillNeeded(System.IAsyncResult result);
         
         [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IClientCommunicator/SendPlugins", ReplyAction="http://tempuri.org/IClientCommunicator/SendPluginsResponse")]
-        HeuristicLab.Hive.Client.Communication.ServerService.ResponsePlugin SendPlugins(HeuristicLab.Hive.Client.Communication.ServerService.HivePluginInfoDto[] pluginList);
+        HeuristicLab.Hive.Contracts.ResponsePlugin SendPlugins(HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginInfoDto[] pluginList);
         
         [System.ServiceModel.OperationContractAttribute(AsyncPattern=true, Action="http://tempuri.org/IClientCommunicator/SendPlugins", ReplyAction="http://tempuri.org/IClientCommunicator/SendPluginsResponse")]
-        System.IAsyncResult BeginSendPlugins(HeuristicLab.Hive.Client.Communication.ServerService.HivePluginInfoDto[] pluginList, System.AsyncCallback callback, object asyncState);
-        
-        HeuristicLab.Hive.Client.Communication.ServerService.ResponsePlugin EndSendPlugins(System.IAsyncResult result);
+        System.IAsyncResult BeginSendPlugins(HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginInfoDto[] pluginList, System.AsyncCallback callback, object asyncState);
+        
+        HeuristicLab.Hive.Contracts.ResponsePlugin EndSendPlugins(System.IAsyncResult result);
         
         [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IClientCommunicator/GetCalendar", ReplyAction="http://tempuri.org/IClientCommunicator/GetCalendarResponse")]
-        HeuristicLab.Hive.Client.Communication.ServerService.ResponseCalendar GetCalendar(System.Guid clientId);
+        HeuristicLab.Hive.Contracts.ResponseCalendar GetCalendar(System.Guid clientId);
         
         [System.ServiceModel.OperationContractAttribute(AsyncPattern=true, Action="http://tempuri.org/IClientCommunicator/GetCalendar", ReplyAction="http://tempuri.org/IClientCommunicator/GetCalendarResponse")]
         System.IAsyncResult BeginGetCalendar(System.Guid clientId, System.AsyncCallback callback, object asyncState);
         
-        HeuristicLab.Hive.Client.Communication.ServerService.ResponseCalendar EndGetCalendar(System.IAsyncResult result);
+        HeuristicLab.Hive.Contracts.ResponseCalendar EndGetCalendar(System.IAsyncResult result);
         
         [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IClientCommunicator/SetCalendarStatus", ReplyAction="http://tempuri.org/IClientCommunicator/SetCalendarStatusResponse")]
-        HeuristicLab.Hive.Client.Communication.ServerService.Response SetCalendarStatus(System.Guid clientId, HeuristicLab.Hive.Client.Communication.ServerService.CalendarState state);
+        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseHB))]
+        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseJob))]
+        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseResultReceived))]
+        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponsePlugin))]
+        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseCalendar))]
+        HeuristicLab.Hive.Contracts.Response SetCalendarStatus(System.Guid clientId, HeuristicLab.Hive.Contracts.BusinessObjects.CalendarState state);
         
         [System.ServiceModel.OperationContractAttribute(AsyncPattern=true, Action="http://tempuri.org/IClientCommunicator/SetCalendarStatus", ReplyAction="http://tempuri.org/IClientCommunicator/SetCalendarStatusResponse")]
-        System.IAsyncResult BeginSetCalendarStatus(System.Guid clientId, HeuristicLab.Hive.Client.Communication.ServerService.CalendarState state, System.AsyncCallback callback, object asyncState);
-        
-        HeuristicLab.Hive.Client.Communication.ServerService.Response EndSetCalendarStatus(System.IAsyncResult result);
+        System.IAsyncResult BeginSetCalendarStatus(System.Guid clientId, HeuristicLab.Hive.Contracts.BusinessObjects.CalendarState state, System.AsyncCallback callback, object asyncState);
+        
+        HeuristicLab.Hive.Contracts.Response EndSetCalendarStatus(System.IAsyncResult result);
         
         [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IClientFacade/SendStreamedJob", ReplyAction="http://tempuri.org/IClientFacade/SendStreamedJobResponse")]
@@ -1338,26 +125,26 @@
         
         [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IClientFacade/SendStreamedPlugins", ReplyAction="http://tempuri.org/IClientFacade/SendStreamedPluginsResponse")]
-        System.IO.Stream SendStreamedPlugins(HeuristicLab.Hive.Client.Communication.ServerService.HivePluginInfoDto[] pluginList);
+        System.IO.Stream SendStreamedPlugins(HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginInfoDto[] pluginList);
         
         [System.ServiceModel.OperationContractAttribute(AsyncPattern=true, Action="http://tempuri.org/IClientFacade/SendStreamedPlugins", ReplyAction="http://tempuri.org/IClientFacade/SendStreamedPluginsResponse")]
-        System.IAsyncResult BeginSendStreamedPlugins(HeuristicLab.Hive.Client.Communication.ServerService.HivePluginInfoDto[] pluginList, System.AsyncCallback callback, object asyncState);
+        System.IAsyncResult BeginSendStreamedPlugins(HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginInfoDto[] pluginList, System.AsyncCallback callback, object asyncState);
         
         System.IO.Stream EndSendStreamedPlugins(System.IAsyncResult result);
         
         [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IClientFacade/StoreFinishedJobResultStreamed", ReplyAction="http://tempuri.org/IClientFacade/StoreFinishedJobResultStreamedResponse")]
-        HeuristicLab.Hive.Client.Communication.ServerService.ResponseResultReceived StoreFinishedJobResultStreamed(System.IO.Stream stream);
+        HeuristicLab.Hive.Contracts.ResponseResultReceived StoreFinishedJobResultStreamed(System.IO.Stream stream);
         
         [System.ServiceModel.OperationContractAttribute(AsyncPattern=true, Action="http://tempuri.org/IClientFacade/StoreFinishedJobResultStreamed", ReplyAction="http://tempuri.org/IClientFacade/StoreFinishedJobResultStreamedResponse")]
         System.IAsyncResult BeginStoreFinishedJobResultStreamed(System.IO.Stream stream, System.AsyncCallback callback, object asyncState);
         
-        HeuristicLab.Hive.Client.Communication.ServerService.ResponseResultReceived EndStoreFinishedJobResultStreamed(System.IAsyncResult result);
+        HeuristicLab.Hive.Contracts.ResponseResultReceived EndStoreFinishedJobResultStreamed(System.IAsyncResult result);
         
         [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IClientFacade/ProcessSnapshotStreamed", ReplyAction="http://tempuri.org/IClientFacade/ProcessSnapshotStreamedResponse")]
-        HeuristicLab.Hive.Client.Communication.ServerService.ResponseResultReceived ProcessSnapshotStreamed(System.IO.Stream stream);
+        HeuristicLab.Hive.Contracts.ResponseResultReceived ProcessSnapshotStreamed(System.IO.Stream stream);
         
         [System.ServiceModel.OperationContractAttribute(AsyncPattern=true, Action="http://tempuri.org/IClientFacade/ProcessSnapshotStreamed", ReplyAction="http://tempuri.org/IClientFacade/ProcessSnapshotStreamedResponse")]
         System.IAsyncResult BeginProcessSnapshotStreamed(System.IO.Stream stream, System.AsyncCallback callback, object asyncState);
         
-        HeuristicLab.Hive.Client.Communication.ServerService.ResponseResultReceived EndProcessSnapshotStreamed(System.IAsyncResult result);
+        HeuristicLab.Hive.Contracts.ResponseResultReceived EndProcessSnapshotStreamed(System.IAsyncResult result);
     }
     
@@ -1377,8 +164,8 @@
         }
         
-        public HeuristicLab.Hive.Client.Communication.ServerService.Response Result {
-            get {
-                base.RaiseExceptionIfNecessary();
-                return ((HeuristicLab.Hive.Client.Communication.ServerService.Response)(this.results[0]));
+        public HeuristicLab.Hive.Contracts.Response Result {
+            get {
+                base.RaiseExceptionIfNecessary();
+                return ((HeuristicLab.Hive.Contracts.Response)(this.results[0]));
             }
         }
@@ -1396,8 +183,8 @@
         }
         
-        public HeuristicLab.Hive.Client.Communication.ServerService.ResponseHB Result {
-            get {
-                base.RaiseExceptionIfNecessary();
-                return ((HeuristicLab.Hive.Client.Communication.ServerService.ResponseHB)(this.results[0]));
+        public HeuristicLab.Hive.Contracts.ResponseHB Result {
+            get {
+                base.RaiseExceptionIfNecessary();
+                return ((HeuristicLab.Hive.Contracts.ResponseHB)(this.results[0]));
             }
         }
@@ -1415,10 +202,11 @@
         }
         
-        public HeuristicLab.Hive.Client.Communication.ServerService.ResponseJob Result {
-            get {
-                base.RaiseExceptionIfNecessary();
-                return ((HeuristicLab.Hive.Client.Communication.ServerService.ResponseJob)(this.results[0]));
-            }
-        }
+        public HeuristicLab.Hive.Contracts.ResponseJob Result {
+            get {
+                base.RaiseExceptionIfNecessary();
+                return ((HeuristicLab.Hive.Contracts.ResponseJob)(this.results[0]));
+            }
+        }
+
     }
     
@@ -1434,8 +222,8 @@
         }
         
-        public HeuristicLab.Hive.Client.Communication.ServerService.ResponseResultReceived Result {
-            get {
-                base.RaiseExceptionIfNecessary();
-                return ((HeuristicLab.Hive.Client.Communication.ServerService.ResponseResultReceived)(this.results[0]));
+        public HeuristicLab.Hive.Contracts.ResponseResultReceived Result {
+            get {
+                base.RaiseExceptionIfNecessary();
+                return ((HeuristicLab.Hive.Contracts.ResponseResultReceived)(this.results[0]));
             }
         }
@@ -1453,8 +241,8 @@
         }
         
-        public HeuristicLab.Hive.Client.Communication.ServerService.ResponseResultReceived Result {
-            get {
-                base.RaiseExceptionIfNecessary();
-                return ((HeuristicLab.Hive.Client.Communication.ServerService.ResponseResultReceived)(this.results[0]));
+        public HeuristicLab.Hive.Contracts.ResponseResultReceived Result {
+            get {
+                base.RaiseExceptionIfNecessary();
+                return ((HeuristicLab.Hive.Contracts.ResponseResultReceived)(this.results[0]));
             }
         }
@@ -1472,8 +260,8 @@
         }
         
-        public HeuristicLab.Hive.Client.Communication.ServerService.Response Result {
-            get {
-                base.RaiseExceptionIfNecessary();
-                return ((HeuristicLab.Hive.Client.Communication.ServerService.Response)(this.results[0]));
+        public HeuristicLab.Hive.Contracts.Response Result {
+            get {
+                base.RaiseExceptionIfNecessary();
+                return ((HeuristicLab.Hive.Contracts.Response)(this.results[0]));
             }
         }
@@ -1491,8 +279,8 @@
         }
         
-        public HeuristicLab.Hive.Client.Communication.ServerService.Response Result {
-            get {
-                base.RaiseExceptionIfNecessary();
-                return ((HeuristicLab.Hive.Client.Communication.ServerService.Response)(this.results[0]));
+        public HeuristicLab.Hive.Contracts.Response Result {
+            get {
+                base.RaiseExceptionIfNecessary();
+                return ((HeuristicLab.Hive.Contracts.Response)(this.results[0]));
             }
         }
@@ -1510,8 +298,8 @@
         }
         
-        public HeuristicLab.Hive.Client.Communication.ServerService.ResponsePlugin Result {
-            get {
-                base.RaiseExceptionIfNecessary();
-                return ((HeuristicLab.Hive.Client.Communication.ServerService.ResponsePlugin)(this.results[0]));
+        public HeuristicLab.Hive.Contracts.ResponsePlugin Result {
+            get {
+                base.RaiseExceptionIfNecessary();
+                return ((HeuristicLab.Hive.Contracts.ResponsePlugin)(this.results[0]));
             }
         }
@@ -1529,8 +317,8 @@
         }
         
-        public HeuristicLab.Hive.Client.Communication.ServerService.ResponseCalendar Result {
-            get {
-                base.RaiseExceptionIfNecessary();
-                return ((HeuristicLab.Hive.Client.Communication.ServerService.ResponseCalendar)(this.results[0]));
+        public HeuristicLab.Hive.Contracts.ResponseCalendar Result {
+            get {
+                base.RaiseExceptionIfNecessary();
+                return ((HeuristicLab.Hive.Contracts.ResponseCalendar)(this.results[0]));
             }
         }
@@ -1548,8 +336,8 @@
         }
         
-        public HeuristicLab.Hive.Client.Communication.ServerService.Response Result {
-            get {
-                base.RaiseExceptionIfNecessary();
-                return ((HeuristicLab.Hive.Client.Communication.ServerService.Response)(this.results[0]));
+        public HeuristicLab.Hive.Contracts.Response Result {
+            get {
+                base.RaiseExceptionIfNecessary();
+                return ((HeuristicLab.Hive.Contracts.Response)(this.results[0]));
             }
         }
@@ -1605,8 +393,8 @@
         }
         
-        public HeuristicLab.Hive.Client.Communication.ServerService.ResponseResultReceived Result {
-            get {
-                base.RaiseExceptionIfNecessary();
-                return ((HeuristicLab.Hive.Client.Communication.ServerService.ResponseResultReceived)(this.results[0]));
+        public HeuristicLab.Hive.Contracts.ResponseResultReceived Result {
+            get {
+                base.RaiseExceptionIfNecessary();
+                return ((HeuristicLab.Hive.Contracts.ResponseResultReceived)(this.results[0]));
             }
         }
@@ -1624,8 +412,8 @@
         }
         
-        public HeuristicLab.Hive.Client.Communication.ServerService.ResponseResultReceived Result {
-            get {
-                base.RaiseExceptionIfNecessary();
-                return ((HeuristicLab.Hive.Client.Communication.ServerService.ResponseResultReceived)(this.results[0]));
+        public HeuristicLab.Hive.Contracts.ResponseResultReceived Result {
+            get {
+                base.RaiseExceptionIfNecessary();
+                return ((HeuristicLab.Hive.Contracts.ResponseResultReceived)(this.results[0]));
             }
         }
@@ -1767,25 +555,25 @@
         public event System.EventHandler<ProcessSnapshotStreamedCompletedEventArgs> ProcessSnapshotStreamedCompleted;
         
-        public HeuristicLab.Hive.Client.Communication.ServerService.Response Login(HeuristicLab.Hive.Client.Communication.ServerService.ClientDto clientInfo) {
+        public HeuristicLab.Hive.Contracts.Response Login(HeuristicLab.Hive.Contracts.BusinessObjects.ClientDto clientInfo) {
             return base.Channel.Login(clientInfo);
         }
         
         [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-        public System.IAsyncResult BeginLogin(HeuristicLab.Hive.Client.Communication.ServerService.ClientDto clientInfo, System.AsyncCallback callback, object asyncState) {
+        public System.IAsyncResult BeginLogin(HeuristicLab.Hive.Contracts.BusinessObjects.ClientDto clientInfo, System.AsyncCallback callback, object asyncState) {
             return base.Channel.BeginLogin(clientInfo, callback, asyncState);
         }
         
         [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-        public HeuristicLab.Hive.Client.Communication.ServerService.Response EndLogin(System.IAsyncResult result) {
+        public HeuristicLab.Hive.Contracts.Response EndLogin(System.IAsyncResult result) {
             return base.Channel.EndLogin(result);
         }
         
         private System.IAsyncResult OnBeginLogin(object[] inValues, System.AsyncCallback callback, object asyncState) {
-            HeuristicLab.Hive.Client.Communication.ServerService.ClientDto clientInfo = ((HeuristicLab.Hive.Client.Communication.ServerService.ClientDto)(inValues[0]));
+            HeuristicLab.Hive.Contracts.BusinessObjects.ClientDto clientInfo = ((HeuristicLab.Hive.Contracts.BusinessObjects.ClientDto)(inValues[0]));
             return this.BeginLogin(clientInfo, callback, asyncState);
         }
         
         private object[] OnEndLogin(System.IAsyncResult result) {
-            HeuristicLab.Hive.Client.Communication.ServerService.Response retVal = this.EndLogin(result);
+            HeuristicLab.Hive.Contracts.Response retVal = this.EndLogin(result);
             return new object[] {
                     retVal};
@@ -1799,9 +587,9 @@
         }
         
-        public void LoginAsync(HeuristicLab.Hive.Client.Communication.ServerService.ClientDto clientInfo) {
+        public void LoginAsync(HeuristicLab.Hive.Contracts.BusinessObjects.ClientDto clientInfo) {
             this.LoginAsync(clientInfo, null);
         }
         
-        public void LoginAsync(HeuristicLab.Hive.Client.Communication.ServerService.ClientDto clientInfo, object userState) {
+        public void LoginAsync(HeuristicLab.Hive.Contracts.BusinessObjects.ClientDto clientInfo, object userState) {
             if ((this.onBeginLoginDelegate == null)) {
                 this.onBeginLoginDelegate = new BeginOperationDelegate(this.OnBeginLogin);
@@ -1817,25 +605,25 @@
         }
         
-        public HeuristicLab.Hive.Client.Communication.ServerService.ResponseHB ProcessHeartBeat(HeuristicLab.Hive.Client.Communication.ServerService.HeartBeatData hbData) {
+        public HeuristicLab.Hive.Contracts.ResponseHB ProcessHeartBeat(HeuristicLab.Hive.Contracts.BusinessObjects.HeartBeatData hbData) {
             return base.Channel.ProcessHeartBeat(hbData);
         }
         
         [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-        public System.IAsyncResult BeginProcessHeartBeat(HeuristicLab.Hive.Client.Communication.ServerService.HeartBeatData hbData, System.AsyncCallback callback, object asyncState) {
+        public System.IAsyncResult BeginProcessHeartBeat(HeuristicLab.Hive.Contracts.BusinessObjects.HeartBeatData hbData, System.AsyncCallback callback, object asyncState) {
             return base.Channel.BeginProcessHeartBeat(hbData, callback, asyncState);
         }
         
         [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-        public HeuristicLab.Hive.Client.Communication.ServerService.ResponseHB EndProcessHeartBeat(System.IAsyncResult result) {
+        public HeuristicLab.Hive.Contracts.ResponseHB EndProcessHeartBeat(System.IAsyncResult result) {
             return base.Channel.EndProcessHeartBeat(result);
         }
         
         private System.IAsyncResult OnBeginProcessHeartBeat(object[] inValues, System.AsyncCallback callback, object asyncState) {
-            HeuristicLab.Hive.Client.Communication.ServerService.HeartBeatData hbData = ((HeuristicLab.Hive.Client.Communication.ServerService.HeartBeatData)(inValues[0]));
+            HeuristicLab.Hive.Contracts.BusinessObjects.HeartBeatData hbData = ((HeuristicLab.Hive.Contracts.BusinessObjects.HeartBeatData)(inValues[0]));
             return this.BeginProcessHeartBeat(hbData, callback, asyncState);
         }
         
         private object[] OnEndProcessHeartBeat(System.IAsyncResult result) {
-            HeuristicLab.Hive.Client.Communication.ServerService.ResponseHB retVal = this.EndProcessHeartBeat(result);
+            HeuristicLab.Hive.Contracts.ResponseHB retVal = this.EndProcessHeartBeat(result);
             return new object[] {
                     retVal};
@@ -1849,9 +637,9 @@
         }
         
-        public void ProcessHeartBeatAsync(HeuristicLab.Hive.Client.Communication.ServerService.HeartBeatData hbData) {
+        public void ProcessHeartBeatAsync(HeuristicLab.Hive.Contracts.BusinessObjects.HeartBeatData hbData) {
             this.ProcessHeartBeatAsync(hbData, null);
         }
         
-        public void ProcessHeartBeatAsync(HeuristicLab.Hive.Client.Communication.ServerService.HeartBeatData hbData, object userState) {
+        public void ProcessHeartBeatAsync(HeuristicLab.Hive.Contracts.BusinessObjects.HeartBeatData hbData, object userState) {
             if ((this.onBeginProcessHeartBeatDelegate == null)) {
                 this.onBeginProcessHeartBeatDelegate = new BeginOperationDelegate(this.OnBeginProcessHeartBeat);
@@ -1867,5 +655,5 @@
         }
         
-        public HeuristicLab.Hive.Client.Communication.ServerService.ResponseJob SendJob(System.Guid clientId) {
+        public HeuristicLab.Hive.Contracts.ResponseJob SendJob(System.Guid clientId) {
             return base.Channel.SendJob(clientId);
         }
@@ -1877,5 +665,5 @@
         
         [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-        public HeuristicLab.Hive.Client.Communication.ServerService.ResponseJob EndSendJob(System.IAsyncResult result) {
+        public HeuristicLab.Hive.Contracts.ResponseJob EndSendJob(System.IAsyncResult result) {
             return base.Channel.EndSendJob(result);
         }
